These are chat archives for coala/coala-bears

17th
Mar 2018
John Vandenberg
@jayvdb
Mar 17 2018 11:56
@MacBox7 , waiting on you a bit; if you dont have time to do the requested changes, we can merge as-is, but I would prefer the minor changes to be done while we're fixing this problem
John Vandenberg
@jayvdb
Mar 17 2018 13:47
merged
rebasing and merge coala/coala-bears#2292 next
Ankit Joshi
@MacBox7
Mar 17 2018 13:57
Ah, saw the message just now. Was bit busy today unlike the other days :sweat_smile: . Would have patched the requested by mid night.
Mischa Krüger
@Makman2
Mar 17 2018 13:58
@palash25 please do some search next time in our issue trackers before you file a ton of bear-proposal issues ;)
Palash Nigam
@palash25
Mar 17 2018 14:03
@Makman2 sorry about that :sweat_smile:
John Vandenberg
@jayvdb
Mar 17 2018 14:32
gosh almighty now do we have a problem with pysafety and pip
Mischa Krüger
@Makman2
Mar 17 2018 14:33
? @jayvdb
John Vandenberg
@jayvdb
Mar 17 2018 14:33
coala/coala-bears#2292 failed
Mischa Krüger
@Makman2
Mar 17 2018 14:33
ughhhhhh
John Vandenberg
@jayvdb
Mar 17 2018 14:35
pip vs requests vs setuptools
Mischa Krüger
@Makman2
Mar 17 2018 14:35
we really need to change things, CI fails way too often, we maybe have to split out each bear into an own repo
a bit bad that GitHub doesn't support sub orgs for that :)
John Vandenberg
@jayvdb
Mar 17 2018 14:39
pip 9.0.2 just released
pypa/pip#5074 - release didnt include change log
Mischa Krüger
@Makman2
Mar 17 2018 14:41
awesome ...
Viresh Gupta
@virresh
Mar 17 2018 14:41
Should we pin pip version to 9.0.1 for now and file an issue for upgrading to pip 9.0.2 later ?
Mischa Krüger
@Makman2
Mar 17 2018 14:41
pip is not a requirement in our files^^
I believe
we have to downgrade it somehow in the CI
Viresh Gupta
@virresh
Mar 17 2018 14:42
No not as a requirement, but as a means of installation
Mischa Krüger
@Makman2
Mar 17 2018 14:42
:+1:
Sangam Kumar
@sangamcse
Mar 17 2018 14:43
pip is included in test-requirements of coala @Makman2
John Vandenberg
@jayvdb
Mar 17 2018 14:43
we do pip install pip -U in .ci/deps.pip.sh
which is only called from circle
and because we install the python version on circle
John Vandenberg
@jayvdb
Mar 17 2018 15:21
ive made travis required and circle optional
Ankit Joshi
@MacBox7
Mar 17 2018 15:25
@jayvdb could you reply to some issues. I have dm you.
saksham189
@saksham189
Mar 17 2018 16:13
#2268 I can't understand why travis keeps failing here
John Vandenberg
@jayvdb
Mar 17 2018 16:15
oh, yes I remember seeing that . a problem with a dependency on py33
and strange, because you are adding bashate but it is bandit failing
saksham189
@saksham189
Mar 17 2018 16:16
yes
John Vandenberg
@jayvdb
Mar 17 2018 16:16
pip is trying to install bandit-1.4.0
have a look at the master builds , on py33, which version of bandit does it try to install ?
saksham189
@saksham189
Mar 17 2018 16:17
what do you mean by the master build?
John Vandenberg
@jayvdb
Mar 17 2018 16:17
on travis, the last build of master
saksham189
@saksham189
Mar 17 2018 16:22
it is installing 1.4.0 as well
Vaibhav Rai
@RaiVaibhav
Mar 17 2018 20:45
Does CI on coala-bears failing for anyone else
my test passing locally but Circle Ci fails
saksham189
@saksham189
Mar 17 2018 20:46
did you read the logs? why is it failing?
Vaibhav Rai
@RaiVaibhav
Mar 17 2018 20:47
ok strange test passes on Travis
KeyError: 'pip._vendor.urllib3.contrib'
Looks like I have missed many information of channel
saksham189
@saksham189
Mar 17 2018 20:50
yes i believe i have the same error
on my build for Circle CI
due to PySafetyBear
Vaibhav Rai
@RaiVaibhav
Mar 17 2018 20:51
No not due to PySafetyBear :sweat_smile:

check the error

KeyError: 'pip._vendor.urllib3.contrib'

saksham189
@saksham189
Mar 17 2018 21:00
okay yes but the PySafetyBear is broken